<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~
  ~      Copyright (c) 2018-2025, hnqz All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: hnqz
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qunzhixinxi.hnqz.admin.mapper.SysWxReplyMessageMediaMapper">

	<!-- 通用查询映射结果 -->
	<resultMap id="baseResultMap" type="com.qunzhixinxi.hnqz.admin.entity.SysWxReplyMessageMedia">
		<id column="id" property="id"/>
		<result column="media_type" property="mediaType"></result>
		<result column="title" property="title"></result>
		<result column="introduction" property="introduction"></result>
		<result column="content" property="content"></result>
		<result column="name" property="name"></result>
		<result column="url" property="url"></result>
		<result column="wx_media_id" property="wxMediaId"></result>
		<result column="sort" property="sort"></result>
		<result column="create_time" property="createTime"></result>
		<result column="update_time" property="updateTime"></result>
	</resultMap>

	<!-- 根据SysWxReplyMessage中的messageId查询-->
	<select id="listMediaByMessageId" resultMap="baseResultMap">
		SELECT
			mm.*
		FROM
			sys_wx_reply_message_media mm
		LEFT JOIN sys_wx_reply_message_relation mr ON mr.message_media_id = mm.id
		WHERE
			mr.message_id = #{messageId}
	</select>
</mapper>
